Issue 109668 - Exporting master doc shows wrong default file type in "Export" dialog
Summary: Exporting master doc shows wrong default file type in "Export" dialog
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: save-export (show other issues)
Version: OOO310m19
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2010-02-27 22:56 UTC by Marcus
Modified: 2013-08-07 14:44 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Marcus 2010-02-27 22:56:48 UTC
1. Create a new master document
2. Save the doc via "File -> Export"

In the dialog, I can see the default value is StarWriter 3.0 (.sdw). But for an
export (which is used when an alien file format is wanted) IMHO it should be HTML.
Comment 1 Marcus 2010-02-27 22:57:21 UTC
set keyword
Comment 2 mikhail.voytenko 2010-03-01 18:04:05 UTC
As discussed with mla and fl the default format should be .odt in this case.

Adjusting the target as discussed.
Comment 3 mikhail.voytenko 2010-03-17 12:34:38 UTC
.
Comment 4 michael.ruess 2010-03-31 06:50:23 UTC
MRU->MAV: When I install the CWS the default will be PDF in every case (MAster
doc and Writer doc). Is this the "true" default or should there be odt for
Master docs?
Comment 5 mikhail.voytenko 2010-03-31 07:23:27 UTC
MAV->MRU: For Master Documents the odt should be the default format. I have just
tried the unxsoli4.pro build, and the default format for export of Master
Document is odt, as expected.
Comment 6 michael.ruess 2010-03-31 12:08:01 UTC
Reassigned for verification.
Comment 7 michael.ruess 2010-03-31 12:10:43 UTC
Verified in CWS c07v027.
Comment 8 michael.ruess 2010-06-08 20:50:01 UTC
Checked in DEV300m80.